import { TestBed } from '@angular/core/testing';
import { CanActivateFn } from '@angular/router';

import { authNeededGuard } from './auth-needed-guard';

describe('authNeededGuard', () => {
  const executeGuard: CanActivateFn = (...guardParameters) =>
    TestBed.runInInjectionContext(() => authNeededGuard(...guardParameters));

  beforeEach(() => {
    TestBed.configureTestingModule({});
  });

  it('should be created', () => {
    expect(executeGuard).toBeTruthy();
  });
});
